Subject: [Fot] Amelia Island. Competition Triumphs.

From: Joe Alexander <[email-masked]>
Date: Fri, 9 Sep 2016 11:29:42 -0500

FOT:

John Clancy tracked down Bill Warner at Goodwood.

As a result there is a phone call scheduled next week.

There is some anticipation that a display could include more than Sebring Triumphs. Historically significant Triumphs and exceptional tribute cars could be included.

Hold that thought. Nothing has been decided. 

Disclaimer: I am just planting seeds. Not organizing anything. I really know nothing about Amelia Island. I looked over the fence once, when they were setting, but have never attended.

Joe Alexander
645 1st Street
Jesup, IA 50648
The-vintage-racer.com
Gasketinnovations.com
Cell:  319.464.4711
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive